import request from '$project/utils/request'
import Qs from 'qs';

//上传图片
export function uploadBase64(formData) {
	return request({
		url: '/mobile/personInfoApi/uploadBase64',
		data: formData,
		method: 'post',
	})
}
export function getSchoolServeList(params) {
	return request({
		url: '/mobile/companyInfoApi/schoolServeList',
		data: Qs.stringify(params),
		method: 'post',
	})
}

//获取banner图片
export function getBannerInfo(type) {
	return request({
		url: '/mobile/bannerInfo/getBannerInfo',
		data: Qs.stringify({
			type: type
		}),
		method: 'post',
	})
}

//发送短信
export function sendMsg(params) {
	return request({
		url: '/mobile/personInfoApi/getVerifyCode',
		data: Qs.stringify(params),
		method: 'post',
	})
}

//验证验证码并登录
export function validateCode(params) {
	return request({
		url: '/mobile/personInfoApi/validateCode',
		data: Qs.stringify(params),
		method: 'post',
	})
}
